cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CLOUDSTACK-9729) Spring 4.x support PR-1638 broke Nuage VSP plugin as of dependency to com.amazonaws.util.json.JSONException
Date Thu, 26 Jan 2017 23:47:25 GMT

    [ https://issues.apache.org/jira/browse/CLOUDSTACK-9729?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15840693#comment-15840693
] 

ASF subversion and git services commented on CLOUDSTACK-9729:
-------------------------------------------------------------

Commit a4061026b6827515aa54367662d86b2174c62899 in cloudstack's branch refs/heads/master from
[~rajanik]
[ https://git-wip-us.apache.org/repos/asf?p=cloudstack.git;h=a406102 ]

Merge pull request #1904 from fmaximus/bugfix/CLOUDSTACK-9729

CLOUDSTACK-9729: Use latest Nuage client.CloudStack root pom change to use Amazon WS 11.1.16
caused our client to fail, as it was depending on classes,
which are not not present anymore.
Latest client version uses Gson instead.

BUG-ID: CLOUDSTACK-9729
Bugfix-for: master

* pr/1904:
  Use latest Nuage client.

Signed-off-by: Rajani Karuturi <rajani.karuturi@accelerite.com>


> Spring 4.x support PR-1638 broke Nuage VSP plugin as of dependency to com.amazonaws.util.json.JSONException
> -----------------------------------------------------------------------------------------------------------
>
>                 Key: CLOUDSTACK-9729
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-9729
>             Project: CloudStack
>          Issue Type: Bug
>      Security Level: Public(Anyone can view this level - this is the default.) 
>    Affects Versions: 4.10.0.0
>            Reporter: Kris Sterckx
>            Assignee: Frank Maximus
>            Priority: Blocker
>             Fix For: 4.10.0.0
>
>
> https://github.com/apache/cloudstack/pull/1638 has moved from
> {noformat}
> <cs.aws.sdk.version>1.10.64</cs.aws.sdk.version>
> {noformat}
> to
> {noformat}
> <cs.aws.sdk.version>1.11.61</cs.aws.sdk.version>
> {noformat}
> which breaks the use of com.amazonaws.util.json.JSONException
> This breaks Nuage VSP network plugin as of its dependency to 
> {noformat}
>       <groupId>net.nuagenetworks.vsp</groupId>
>       <artifactId>nuage-vsp-acs-client</artifactId>
>       <version>1.0.0</version>
> {noformat} 
>  
> We need to fix that.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message